Revision: 2235
Author: bmsleight
Date: 2006-05-18 14:17:13 -0700 (Thu, 18 May 2006)
ViewCVS: http://svn.sourceforge.net/morphix/?rev=2235&view=rev
Log Message:
-----------
Adding morphix-init-matchbox. Fingers crossed \!
Added Paths:
-----------
trunk/scripts-main/matchbox/
trunk/scripts-main/matchbox/debian/
trunk/scripts-main/matchbox/debian/changelog
trunk/scripts-main/matchbox/debian/control
trunk/scripts-main/matchbox/debian/copyright
trunk/scripts-main/matchbox/debian/dirs
trunk/scripts-main/matchbox/debian/rules
trunk/scripts-main/matchbox/include.sh
trunk/scripts-main/matchbox/main_module
Added: trunk/scripts-main/matchbox/debian/changelog
===================================================================
--- trunk/scripts-main/matchbox/debian/changelog (rev 0)
+++ trunk/scripts-main/matchbox/debian/changelog 2006-05-18 21:17:13 UTC (rev 2235)
@@ -0,0 +1,6 @@
+morphix-init-matchbox (0.1-1) unstable; urgency=low
+
+ * Initial Release.
+
+ -- Brendan M. Sleight <[email protected]> Thu, 18 May 2006 22:00:00 +0100
+
\ No newline at end of file
Added: trunk/scripts-main/matchbox/debian/control
===================================================================
--- trunk/scripts-main/matchbox/debian/control (rev 0)
+++ trunk/scripts-main/matchbox/debian/control 2006-05-18 21:17:13 UTC (rev 2235)
@@ -0,0 +1,13 @@
+Source: morphix-init-matchbox
+Section: misc
+Priority: optional
+Maintainer: Brendan M. Sleight <[email protected]>
+Build-Depends: debhelper (>= 4.0.0)
+Standards-Version: 3.6.0
+
+Package: morphix-init-matchbox
+Architecture: any
+Depends: morphix-init, matchbox
+Description: Morphix matchbix mainmod livecd boot scripts
+ Include files for starting matchbox from a morphix live cd
+
Added: trunk/scripts-main/matchbox/debian/copyright
===================================================================
--- trunk/scripts-main/matchbox/debian/copyright (rev 0)
+++ trunk/scripts-main/matchbox/debian/copyright 2006-05-18 21:17:13 UTC (rev 2235)
@@ -0,0 +1,14 @@
+This package was debianized by Brendan M. Sleight <[email protected]> on
+Sun, 18 May 2005 22:00:00 +0100.
+
+It was downloaded from www.morphix.org
+
+Upstream Author(s): the Morphix project
+
+Copyright:
+
+morphix-init-matchbox is licensed under the GNU General Public License
+version 2 or higher.
+
+On Debian systems the full text of this licence can be found
+in /usr/share/common-licenses/GPL .
Added: trunk/scripts-main/matchbox/debian/dirs
===================================================================
--- trunk/scripts-main/matchbox/debian/dirs (rev 0)
+++ trunk/scripts-main/matchbox/debian/dirs 2006-05-18 21:17:13 UTC (rev 2235)
@@ -0,0 +1,3 @@
+usr/bin
+usr/sbin
+morphix
Added: trunk/scripts-main/matchbox/debian/rules
===================================================================
--- trunk/scripts-main/matchbox/debian/rules (rev 0)
+++ trunk/scripts-main/matchbox/debian/rules 2006-05-18 21:17:13 UTC (rev 2235)
@@ -0,0 +1,54 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# GNU copyright 1997 to 1999 by Joey Hess.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+install:
+ dh_testdir
+ dh_testroot
+ dh_clean -k
+ dh_installdirs
+
+ # Add here commands to install the package into debian/.
+ cp -a include.sh main_module debian/tmp/morphix
+
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+ dh_testdir
+ dh_testroot
+ dh_installchangelogs
+ dh_installdocs
+ dh_installexamples
+# dh_install
+# dh_installmenu
+# dh_installdebconf
+# dh_installlogrotate
+# dh_installemacsen
+# dh_installpam
+# dh_installmime
+# dh_installinit
+# dh_installcron
+# dh_installinfo
+ dh_installman
+ dh_link
+ dh_strip
+ dh_compress
+ dh_fixperms
+# dh_perl
+# dh_python
+# dh_makeshlibs
+ dh_installdeb
+ dh_shlibdeps
+ dh_gencontrol
+ dh_md5sums
+ dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure
Property changes on: trunk/scripts-main/matchbox/debian/rules
___________________________________________________________________
Name: svn:executable
+ *
Added: trunk/scripts-main/matchbox/include.sh
===================================================================
--- trunk/scripts-main/matchbox/include.sh (rev 0)
+++ trunk/scripts-main/matchbox/include.sh 2006-05-18 21:17:13 UTC (rev 2235)
@@ -0,0 +1,45 @@
+#! /bin/bash
+# $Id: include.sh 1956 2005-09-24 22:54:48Z bmsleight $
+# You shouldn't need to change anything below this line
+
+PATH="/bin:/sbin:/usr/bin:/usr/sbin:/usr/X11R6/bin:/usr/local/bin:."
+CMDLINE="$(cat /proc/cmdline)"
+WINDOWMANAGER=/usr/bin/matchbox-session
+USER="morph"
+BGIMAGE=/morphix/background.png
+XServer=XFree86
+
+stringinstring(){
+ case "$2" in *$1*) return 0;; esac
+ return 1
+}
+
+getbootparam(){
+ stringinstring " $1=" "$CMDLINE" || return 1
+ result="${CMDLINE##*$1=}"
+ result="${result%%[ ]*}"
+ echo "$result"
+ return 0
+}
+
+if [ -e "/cdrom/background.png" ]; then
+ BGIMAGE="/cdrom/background.png"
+fi
+
+if [ -n "$(getbootparam wm)" ]; then
+ WINDOWMANAGER="$(getbootparam wm)"
+fi
+
+if [ -n "$(getbootparam background)" ]; then
+ BGIMAGE="$(getbootparam background)"
+fi
+
+if [ -n "$(getbootparam username)" ]; then
+ USER="$(getbootparam username)"
+fi
+
+HOME="/home/$USER/"
+chmod a+w /tmp
+echo "DesktopBackgroundImage=/morphix/background.png" >>/etc/X11/matchbox/preferences
+echo "PATH=\"$PATH\":/usr/bin/" >>"$HOME"/.bash_profile
+chown "$USER".users "$HOME" -R
Added: trunk/scripts-main/matchbox/main_module
===================================================================
--- trunk/scripts-main/matchbox/main_module (rev 0)
+++ trunk/scripts-main/matchbox/main_module 2006-05-18 21:17:13 UTC (rev 2235)
@@ -0,0 +1,2 @@
+matchbox
+A simple window manager
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
-------------------------------------------------------
Using Tomcat but need to do more? Need to support web services, security?
Get stuff done quickly with pre-integrated technology to make your job easier
Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642
lmpx.com only provides a reader for public news (NNTP) servers. It is not
affiliated with the servers or forums shown here and is not responsible for
the content of articles, which is written by their respective authors.